package be.iminds.ilabt.jfed.lowlevel.connection;

import javax.inject.Singleton;

/**
 * BasicConnectionBuilderFactory
 */
@Singleton
public class BasicConnectionBuilderFactory implements ConnectionBuilderFactory {
    private final String userAgent;

    public BasicConnectionBuilderFactory() {
        this.userAgent = null;
    }
    public BasicConnectionBuilderFactory(String userAgent) {
        this.userAgent = userAgent;
    }

    @Override
    public ConnectionBuilder createConnectionBuilder() {
        return new BasicConnectionBuilder(userAgent);
    }
}
